curl --request POST \
--url https://api.avanor.tech/gateway/v1/invoice/check \
--header 'Content-Type: application/json' \
--header 'sign: <api-key>' \
--data '
{
"shop_order_id": "389d4f2c-46b9-4164-bcc4-fbd51e00d445",
"shop_id": 202203,
"now": "2020-04-21T20:07:02"
}
'import requests
url = "https://api.avanor.tech/gateway/v1/invoice/check"
payload = {
"shop_order_id": "389d4f2c-46b9-4164-bcc4-fbd51e00d445",
"shop_id": 202203,
"now": "2020-04-21T20:07:02"
}
headers = {
"sign": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {sign: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
shop_order_id: '389d4f2c-46b9-4164-bcc4-fbd51e00d445',
shop_id: 202203,
now: '2020-04-21T20:07:02'
})
};
fetch('https://api.avanor.tech/gateway/v1/invoice/check', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": true,
"message": "Ok",
"error_code": 0,
"data": {
"shop_order_id": "389d4f2c-46b9-4164-bcc4-fbd51e00d445",
"shop_id": 202203,
"status": 2,
"payment_id": 12,
"ps_data": "{\"ps_payer_account\": \"411111XXXXXX1111\", \"bill_id\": \"7766\", \"amount\": \"190.99\", \"status\": \"success\"}",
"ps_currency": 840,
"payway": "<string>",
"description": "Invoice for user_id=7766",
"created": "2020-04-21T20:07:02",
"updated": "2020-04-21T20:09:02",
"processed": "2020-04-21T20:07:02",
"shop_currency": 840,
"shop_amount": 267,
"client_price": 272.34,
"error_code": 0,
"shop_refund": 77,
"settlement_currency": 840,
"settlement_rate": null,
"expires_at": "2026-12-30T03:00:00+03:00",
"is_unique": true,
"payment_token": {
"token": "4f6cf35x-2c4y-483z-a0a9-158621f77a21",
"status": "SUCCESS",
"expires_at": "2025-12-27T20:07:02",
"account": "411111XXXXXX1111",
"card_info": {
"issuing_country": "GBR",
"issuing_bank": "Example Bank",
"payment_system": "VISA",
"funding_source": "DEBIT",
"payment_system_product": "GOLD"
}
}
}
}Issued invoice status request
To get the status and up-to-date information regarding issued invoice.
Fields involved in request signature generation:
nowshop_idshop_order_id
Authorizations
Every API request must be signed so that we can identify your account.
The signature is transferred in the request body through the sign parameter, for example:
{
"shop_id": 202203,
"shop_order_id" : "1994",
"amout": "104.04",
"currency": 840,
"payway": "payway_usd",
"description": "Invoice sign",
"sign": "05f6d3712417f62af6cbf66ca81c2f0b249f7dc1b4cbe3a50e3f8d67a1fb35a2"
}
"sign" parameter, nevertheless your real requests must include it in the request body where required.
Signature line is generated according to the following algorithm: all request parameters involved in signature generation are ordered in the alphabetical order of keys, the values are concatenated with a colon (":") and the account secret key is added at the end (without the: sign), a sha256 hash is generated from the resulting line and its hex representation is passed in the sign request parameter.
Example of signature generation for a method invoice/create:
- Determining the list of parameters. It looks as follows for the method in consideration:
Fields involved in request signature generation:
shop_idshop_order_idamountcurrencypayway
- Let's sort keys in alphabetical sequence:
"amount", "currency", "payway", "shop_id", "shop_order_id"
- The line for generating the SHA256 hash will be as follows:
"104.04:840:payway_usd:202203:1994account-secret-key"
Where account-secret-key is the secret identification key for your account. You can request a key from the support service.
- Let's get a hash expression of the generated line using Python code:
>>> string_to_sign = '104.04:840:payway_usd:202203:1994account-secret-key' >>> import hashlib >>> sign = hashlib.sha256(string_to_sign.encode()).hexdigest() >>> print(sign) '05f6d3712417f62af6cbf66ca81c2f0b249f7dc1b4cbe3a50e3f8d67a1fb35a2'
Body
Order ID in your system. Must be unique for each new invoice.
255"389d4f2c-46b9-4164-bcc4-fbd51e00d445"
Unique shop identifier in the Avanor system.
202203
Request date and time.
"2020-04-21T20:07:02"
Response
OK
- Successful response
- Error response
Boolean value, in case of successful response it will be true, in case of error – false
true
A textual description of the error, in case of success - simply Ok
"Ok"
If this value is greater than 0, then the request ended with an error. Description of error codes
0
Show child attributes
Show child attributes